import { PoolItem } from "../../utils/pool/Pool";
import { Buffer } from './Buffer';
import type { Renderer } from '../Renderer';
export declare class BufferCopyOperation implements PoolItem {
    src: number;
    dst: number;
    count: number;
    reset(): void;
}
export interface IBufferCopier {
    doCopy(renderer: Renderer, src: Buffer, target: Buffer, strideBytes: number, copies: Array<BufferCopyOperation>, copyCount?: number): void;
}
